#!/bin/bash -e
# shellcheck disable=SC1091

set -a
. ./.env
set +a

REGISTRY="${IMAGEAPP%%/*}"
NS="${ACTION_REPO#*/}"

mkdir -p "$HOME/.kube/"
echo "$ACTION_KUBECONFIG" > "$HOME/.kube/config"
kubectl get namespace "$NS" || kubectl create namespace "$NS"
kubectl config set-context --current --namespace="$NS"

if [ -n "$ACTION_REGISTRY_PASSWD" ]; then
    kubectl create secret docker-registry regcred \
        --docker-server="$REGISTRY" \
        --docker-username="$ACTION_REGISTRY_USER" \
        --docker-password="$ACTION_REGISTRY_PASSWD"
fi

./manifests/bin/devel.sh
